1. Blueprint Management
Ludus API
  • Host Management
    • Retrieve the ludus version
      GET
    • Retrieve the ludus license
      GET
    • Diagnostics
      GET
    • Retrieve the Ludus OpenAPI specification
      GET
  • Ansible Management
    • Retrieve available subscription roles
      GET
    • Install subscription roles
      POST
    • Get role variables for one or more Ansible roles
      POST
    • Retrieve available Ansible roles and collections
      GET
    • Move or copy roles between global and local scopes
      PATCH
    • Install or Remove an Ansible role
      POST
    • Install an Ansible role from local directory
      PUT
    • Install an Ansible collection
      POST
  • User Management
    • whoami
    • Get Default Range ID
    • Set Default Range ID
    • Get user group memberships
    • List user details
    • Add a user to the system
    • Remove a user from the system
    • Get proxmox creds for a user
    • Set the Ludus and Proxmox creds for the user
    • Reset and retrieve the Ludus API key for a user
    • List all users
    • Retrieve a WireGuard configuration file for a user
  • Range Management
    • VM Management
      • Destroy VM
    • Create a new range
    • List range VMs, power state, and testing state
    • Delete a range from the database and proxmox host
    • Stop the range deployment ansible process
    • Stop and delete all range VMs
    • List all tags available to use with deploy
    • List summary information for all ranges
    • Retrieve range configuration
    • Update the range configuration
    • Retrieve an example range configuration
    • Deploy the range
    • Retrieve the latest range logs
    • Retrieve /etc/hosts file for the range
    • Retrieve a ssh config
    • Retrieve a zip file of RDP configs
    • Retrieve an ansible inventory
    • Assign a range to a user (admin only)
    • Revoke range access from a user (admin only)
    • List users with access to a range (admin only)
    • List ranges accessible to the user
    • List range deploy log history
    • Retrieve a specific range log history entry
    • Retrieve auto-shutdown configuration (enterprise)
    • Update auto-shutdown (enterprise)
    • Update range label fields
  • Power State Management
    • Power on range VMs
    • Power off range VMs
  • Testing State Management
    • Snapshot and enter testing state
    • Revert and exit testing state
    • Allow a domain
    • Deny a domain
    • Update a VM or group
  • Anti-Sandbox Management
    • Enable anti-sandbox for a VM or multiple VMs (enterprise)
    • Install the custom QEMU/OMVF packages
    • Install the standard QEMU/OMVF packages
  • Template Management
    • Retrieve a list of VM templates
    • Build templates
    • Install an Ansible role from local directory
    • Delete a template
    • Kill packer processes for user
    • Retrieve the latest packer logs
    • Get the status of packer builds
    • List template build log history
    • Retrieve a specific template log history entry
  • Snapshot Management
    • Get all snapshots for a range
    • Take a snapshot of a VM or multiple VMs
    • Roll back to a snapshot of a VM or multiple VMs
    • Delete a snapshot from a VM or multiple VMs
  • KMS Management
    • Setup the KMS VM and install the KMS server
    • License Windows VMs using the KMS server
  • Group Management
    • Create a new group
    • List all groups
    • Delete a group
    • List group members
    • Add users to group
    • Remove users from group
    • List group ranges
    • Add ranges to group
    • Remove ranges from group
  • Migration
    • SDN Migration Status
    • Migrate to SDN networking
    • Migrate SQLite to PocketBase
  • Virtual Consoles
    • Get Console Websocket Ticket
    • Connect to VM Console WebSocket
  • Blueprint Management
    • List accessible blueprints
      GET
    • Create blueprint from range
      POST
    • Delete blueprint
      DELETE
    • Copy blueprint
      POST
    • Apply blueprint to range
      POST
    • Get blueprint config
      GET
    • Update blueprint config
      PUT
    • Share blueprint with groups
      POST
    • Unshare blueprint from groups
      DELETE
    • Share blueprint with users
      POST
    • Unshare blueprint from users
      DELETE
    • List blueprint access users
      GET
    • List blueprint access groups
      GET
    • Create blueprint
      POST
    • Get blueprint detail
      GET
    • Update blueprint metadata
      PATCH
  • Quota Management
    • Get quota status for the current user
    • Set quotas for one or more users (admin only)
    • Get quota status for all users (admin only)
    • Get system-wide default quotas (admin only)
    • Get default quotas for all groups (admin only)
    • Set default quotas for one or more groups (admin only)
  • Sources
    • Update source
    • List sources
    • Sync source
    • Create source
    • Get source
    • Delete source
    • Share source with users
    • Share source with groups
    • Unshare source from users
    • Unshare source from groups
    • List blueprints in a source
    • List all source blueprints
    • Get source blueprint manifest
  • Schemas
    • BulkAddUsersToGroupRequest
    • userID
    • BlueprintListItem
    • SyncResultResponse
    • BulkRemoveUsersFromGroupRequest
    • rangeID
    • CreateBlueprintFromRangeRequest
    • BulkAddRangesToGroupRequest
    • CopyBlueprintRequest
    • UserObject
    • ApplyBlueprintRequest
    • UserAPIKeyObject
    • BulkRemoveRangesFromGroupRequest
    • UpdateBlueprintConfigRequest
    • BulkGroupOperationResponse
    • UserCredentialObject
    • BulkGroupOperationErrorItem
    • BlueprintAccessUserItem
    • RangeObject
    • BulkShareBlueprintWithGroupsRequest
    • UserMembershipObject
    • BlueprintAccessGroupItem
    • BulkUnshareBlueprintWithGroupsRequest
    • BulkShareBlueprintWithUsersRequest
    • Domain
    • IP
    • BulkUnshareBlueprintWithUsersRequest
    • AllowPayload
    • BulkBlueprintOperationErrorItem
    • BulkBlueprintOperationResponse
    • SnapshotInfo
    • BlueprintMutationResponse
    • ErrorInfo
    • SnapshotCreatePayload
    • LicenseDataObject
    • VMObject
    • CreateBlueprintRequest
    • LogHistoryEntry
    • LogHistoryDetailResponse
    • CopyBlueprintResponse
    • UpdateBlueprintMetadataRequest
    • InstallBlueprintDepsRequest
    • JobAcceptedResponse
    • BlueprintDetail
    • TemplateStatusEntry
    • RoleStatusEntry
    • SourceResponse
    • SourceCreateResponse
    • UpdateSourceRequest
    • DeleteSourceRequest
    • SyncSourceRequest
    • SyncResult
    • ArtifactResult
    • RoleInstallResult
    • DryRunPlan
    • SourceBlueprintListItem
  1. Blueprint Management

Get blueprint detail

Developing
Cloud Mock
https://mock.apidog.com/m1/1126461-0-default
Cloud Mock
https://mock.apidog.com/m1/1126461-0-default
GET
/blueprints/{blueprintID}

Returns the full blueprint record plus computed dependency status. Works for both local blueprints (id = blueprintID) and source-blueprints (id = "/").

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Path Params

Responses

🟢200
application/json
Blueprint detail
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1126461-0-default/blueprints/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": "string",
    "name": "string",
    "description": "string",
    "version": "string",
    "author": "string",
    "homepage": "string",
    "license": "string",
    "tags": [
        "string"
    ],
    "min_ludus_version": "string",
    "long_description": "string",
    "templateStatus": [
        {
            "name": "string",
            "built": true
        }
    ],
    "roleStatus": [
        {
            "name": "string",
            "installed": true,
            "subscription": true
        }
    ]
}
Modified at 2026-05-05 19:59:06
Previous
Create blueprint
Next
Update blueprint metadata
Built with